/* Global style */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    font-family: 'Work Sans', sans-serif;
    background-color: #2b2b2b;
    color: #fff;
    line-height: 1.6;
}

/* Container  */
.container {
    max-width: 1440px;
    margin: 0 auto;
    padding: 80px 115px;
}

.browse__title h1 {
    font-family: 'Work Sans', sans-serif;
    font-weight: 600;
    font-size: 51px;
    line-height: 56.1px;
    margin-bottom: 10px;
}

.browse__text {
    font-family: 'Work Sans', sans-serif;
    font-weight: 400;
    font-size: 22px;
    line-height: 35.2px;
    margin-bottom: 30px;
}

/* Search Box */
.browse__search {
    border: 1px solid #858584;
    border-radius: 20px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 15px;
}

.browse__search form {
    max-width: 100%;
    padding: 15px 20px;
}

.browse__search input[type='text'] {
    max-width: 960px;
    flex: 1;
    border: none;
    background-color: transparent;
    font-family: 'Space Mono', monospace;
    outline: none;
}

.browse__search input::placeholder {
    font-weight: 400;
    font-size: 16px;
    color: #858584;
}

.browse__btn {
    border: none;
    background-color: transparent;
    color: #858584;
    padding: 15px 20px;
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: center;
}

/* <!-- Cards section --> */
.list-group--container {
    border-top: 1px solid rgba(59, 59, 59, 1);
}
.list-group {
    max-width: 1440px;
    margin: 0 auto;
    padding: 0 115px;
    display: flex;
}

.list-group--nfts {
    border-bottom: 2px solid rgba(133, 133, 132, 1);
    width: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 24px;
}
.list-group--collections {
    width: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 24px;
}
.list-group--nfts__text,
.list-group--collections__text {
    display: flex;
    align-items: center;
    gap: 16px;
}
.list-group--nfts__text h3 {
    font-family: 'Work Sans';
    font-weight: 600;
    font-size: 16px;
    line-height: 140%;
    letter-spacing: 0%;
    text-align: center;
    text-transform: capitalize;
}
.list-group--nfts__text p {
    padding: 5px 10px;
    border-radius: 20px;
    font-family: 'Space Mono';
    font-weight: 400;
    font-size: 16px;
    line-height: 140%;
    letter-spacing: 0%;
    background: rgba(133, 133, 132, 1);
    color: rgba(255, 255, 255, 1);
}
.list-group--collections__text h3 {
    font-family: 'Work Sans';
    font-weight: 600;
    font-size: 16px;
    line-height: 140%;
    letter-spacing: 0%;
    text-align: center;
    text-transform: capitalize;
}
.list-group--collections__text p {
    padding: 5px 10px;
    border-radius: 22px;
    font-family: ' Space Mono';
    font-weight: 400;
    font-size: 16px;
    line-height: 140%;
    letter-spacing: 0%;
    background: rgba(59, 59, 59, 1);
    color: rgba(255, 255, 255, 1);
}

/* wrapper card bo'limi */
.feature-group--container {
    background-color: rgba(59, 59, 59, 1);
    border-bottom: 2px solid rgba(43, 43, 43, 1);
}


/* <!-- Cards section --> */
.list-group--container {
    border-top: 1px solid rgba(59, 59, 59, 1);
}
.list-group {
    max-width: 1440px;
    margin: 0 auto;
    padding: 0 115px;
    display: flex;
}

.list-group--nfts {
    border-bottom: 2px solid rgba(133, 133, 132, 1);
    width: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 24px;
}
.list-group--collections {
    width: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 24px;
}
.list-group--nfts__text,
.list-group--collections__text {
    display: flex;
    align-items: center;
    gap: 16px;
}
.list-group--nfts__text h3 {
    font-family: 'Work Sans';
    font-weight: 600;
    font-size: 16px;
    line-height: 140%;
    letter-spacing: 0%;
    text-align: center;
    text-transform: capitalize;
}
.list-group--nfts__text p {
    padding: 5px 10px;
    border-radius: 20px;
    font-family: 'Space Mono';
    font-weight: 400;
    font-size: 16px;
    line-height: 140%;
    letter-spacing: 0%;
    background: rgba(133, 133, 132, 1);
    color: rgba(255, 255, 255, 1);
}
.list-group--collections__text h3 {
    font-family: 'Work Sans';
    font-weight: 600;
    font-size: 16px;
    line-height: 140%;
    letter-spacing: 0%;
    text-align: center;
    text-transform: capitalize;
}
.list-group--collections__text p {
    padding: 5px 10px;
    border-radius: 22px;
    font-family: ' Space Mono';
    font-weight: 400;
    font-size: 16px;
    line-height: 140%;
    letter-spacing: 0%;
    background: rgba(59, 59, 59, 1);
    color: rgba(255, 255, 255, 1);
}

/* wrapper card bo'limi */
.feature-group--container {
    background-color: rgba(59, 59, 59, 1);
    border-bottom: 2px solid rgba(43, 43, 43, 1);
}

.wrapper-cards {
    display: flex;
    flex-wrap: wrap;
    align-items: stretch;
    gap: 30px 20px;
    font-family: 'Space Mono', monospace;
    font-weight: 400;
    font-size: 16px;
    line-height: 22.4px;
    letter-spacing: 0%;
}
.wrapper-cards_card {
    flex: 1 1 calc(33.33% - 30px);
    border-radius: 20px;
    height: auto;
    display: flex;
    flex-direction: column;
}
.wrapper-cards-card_box__img {
    width: 100%;
    height: auto;
    display: flex;
}
.wrapper-cards_card_bottom {
    padding: 20px 30px 25px 30px;
    border-bottom-left-radius: 20px;
    border-bottom-right-radius: 20px;
    background-color: rgba(43, 43, 43, 1);
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}
.wrapper-cards-card__title {
    font-family: 'Work Sans';
    font-weight: 600;
    font-size: 22px;
    line-height: 30.8px;
    letter-spacing: 0%;
    min-height: 65px;
    height: 100%;
}
.wrapper-cards-card__blog-post {
    display: flex;
    align-items: center;
    gap: 12px;
    margin-bottom: 27px;
}
.wrapper-cards-card__blog-post_img {
    width: 24px;
    height: 24px;
}
.wrapper-cards-card__pricing-table {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.pricing-table__right__title {
    color: rgba(133, 133, 132, 1);
    font-size: 12px;
    line-height: 13.2px;
}

.pricing-table__left__title {
    color: rgba(133, 133, 132, 1);
    font-size: 12px;
    line-height: 13.2px;
}

/* Responsive Design */
@media (max-width: 1024px) {
    .container {
        max-width: 960px;
        padding: 70px 60px;
    }

    .browse__title h1 {
        font-size: 42px;
        line-height: 50px;
    }

    .browse__text {
        font-size: 18px;
        line-height: 28px;
    }
    /* <!-- Cards section --> Responive start */

    .list-group {
        max-width: 960px;
        padding: 5px 60px 0 60px;
        margin: 0 auto;
    }
    /* <!-- Cards section --> Responive end */
}

@media (max-width: 830px) {
    .wrapper-cards_card {
        flex: 0 0 calc(50% - 10px);
    }
    .wrapper-cards_card:nth-child(10),
    .wrapper-cards_card:nth-child(11) {
        display: none;
    }
}

@media (max-width: 768px) {
    .container {
        max-width: 680px;
        padding: 60px 40px;
    }

    .browse__title h1 {
        font-size: 36px;
        line-height: 44px;
    }

    .browse__text {
        font-size: 16px;
        line-height: 24px;
    }
    /* <!-- Cards section --> Responive start */

    .list-group {
        max-width: 680px;
        padding: 5px 40px 0 40px;
        margin: 0 auto;
    }
    /* <!-- Cards section --> Responive end */
}

@media (max-width: 600px) {
    .wrapper-cards-card__title {
        font-size: 18px;
    }
    .wrapper-cards {
        font-size: 14px;
        line-height: 20.4px;
        letter-spacing: 0%;
    }
    .wrapper-cards_card_bottom {
        padding: 20px 15px 25px 15px;
    }
}

@media (max-width: 480px) {
    .container {
        max-width: 100%;
        padding: 40px 20px;
    }
    .list-group {
        max-width: 100%;
        padding: 5px 20px 0 20px;
        margin: 0 auto;
    }

    .browse__title h1 {
        font-size: 28px;
        line-height: 36px;
    }

    .browse__text {
        font-size: 14px;
        line-height: 20px;
    }

    .browse__search {
        padding: 10px;
        gap: 10px;
    }
    /* <!-- Cards section --> Responive start */

    .list-group {
        max-width: 100%;
        padding: 5px 20px 0 20px;
        margin: 0 auto;
    }

    .list-group--collections__text p,
    .list-group--nfts__text p {
        display: none;
    }
    .wrapper-cards_card {
        flex: 0 0 calc(100%);
    }
    .wrapper-cards_card_bottom {
        padding: 20px 30px 25px 30px;
    }
    .wrapper-cards-card__title {
        font-size: 22px;
    }
    .wrapper-cards {
        font-size: 16px;
        line-height: 22.4px;
        letter-spacing: 0%;
    }
    .wrapper-cards_card:nth-child(6),
    .wrapper-cards_card:nth-child(7),
    .wrapper-cards_card:nth-child(8),
    .wrapper-cards_card:nth-child(9),
    .wrapper-cards_card:nth-child(12) {
        display: none;
    }

    .wrapper-cards_card:nth-child(1) {
        order: 1;
    }
    .wrapper-cards_card:nth-child(2) {
        order: 3;
    }
    .wrapper-cards_card:nth-child(3) {
        order: 2;
    }
    .wrapper-cards_card:nth-child(4) {
        order: 4;
    }
    .wrapper-cards_card:nth-child(5) {
        order: 5;
    }
    /* <!-- Cards section --> Responive end */
}
